(* bsg -- solve the balanced subgraph problem
   Copyright (C) 2006  Falk Hffner

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  *)

(** Cut related functions.  *)

(** Returns a list of connected components. *)
val connected_components : Graph.t -> IntSet.t list

(** Returns a list of biconnected components.  *)
val biconnected_components : Graph.t -> IntSet.t list

(** Returns a list of candidate vertex cuts (see paper).  *)
val cut_corner : Graph.t -> (IntSet.t * IntSet.t) list
